{
  namespace,
  ...
}:
_final: prev: {
  ${namespace} = prev.${namespace} // {
    proton-cachyos-v3 = prev.${namespace}.proton-cachyos.override {
      versionFilename = "cachyos-v3-version.json";
      tarballSuffix = "-x86_64_v3.tar.xz";
    };
    proton-cachyos-v2 = prev.${namespace}.proton-cachyos.override {
      versionFilename = "cachyos-v2-version.json";
      tarballSuffix = "-x86_64_v2.tar.xz";
    };
    proton-cachyos-v1 = prev.${namespace}.proton-cachyos.override {
      versionFilename = "cachyos-version.json";
      tarballSuffix = "-x86_64.tar.xz";
    };
  };
}
